> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# importGitHubIssues

> Import GitHub issues as tasks



## OpenAPI

````yaml POST /github-integration/import-issues
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /github-integration/import-issues:
    post:
      tags:
        - GitHub
      summary: Import Git Hub Issues
      description: Import GitHub issues as tasks
      operationId: importGitHubIssues
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                projectId:
                  type: string
              required:
                - projectId
      responses:
        '200':
          description: Issues imported successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  imported:
                    type: number
                  skipped:
                    type: number
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - imported
                  - skipped
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````